import { axios } from '@/utils/request'

//  客户列表  分页
export const custList = (params) => {
  const url = `/cust/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 新增/编辑客户
export const custSave = params => {
  return axios({
    url: '/cust/save',
    data: params,
    method: 'post'
  })
}

// 客户详情
export const custFindById = params => {
  return axios({
    url: `/cust/findById/${params.id}`,
    method: 'post'
  })
}

// 删除客户
export const custDel = params => {
  return axios({
    url: `/cust/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}
